/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.386 Revision 1.483
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2009 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.386 2009/03/10 14:43:35 a3li Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.483 2011/02/20 11:04:30 xarthisius Exp $
4
5 20 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org>
6 ruby-1.8.7_p334.ebuild:
7 ppc/ppc64 stable wrt #355439
8
9 19 Feb 2011; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p334.ebuild:
10 Stable on amd64 wrt bug #355439
11
12 19 Feb 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p334.ebuild:
13 Stable for HPPA (bug #355439).
14
15*ruby-1.8.7_p334 (19 Feb 2011)
16
17 19 Feb 2011; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p334.ebuild:
18 Version bump 1.8.7 series, security bug 355439
19
20 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> ruby-1.9.2_rc2-r1.ebuild,
21 ruby-1.9.2.ebuild:
22 Remove PROVIDE for old-style virtual/ruby per bug 265054.
23
24 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p399.ebuild:
25 Remove masked ruby 1.8.6 per bug 332597.
26
27 07 Sep 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p249.ebuild,
28 -ruby-1.9.2_rc2.ebuild:
29 Removing old and vulnerable ebuilds
30
31 06 Sep 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p302.ebuild:
32 Marking ruby-1.8.7_p302 ppc64 for bug 332957
33
34 28 Aug 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p302.ebuild:
35 alpha/ia64/s390/sh/sparc stable wrt #332957
36
37*ruby-1.9.2 (24 Aug 2010)
38
39 24 Aug 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.2.ebuild,
40 metadata.xml:
41 Version bump. Fixes rdoc handling wrt bug 333897 by Park Ji-in. Drop hppa
42 and x86-fbsd due to a new dependency on rdoc.
43
44 23 Aug 2010; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p302.ebuild:
45 arm stable, bug #332957
46
47 21 Aug 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org>
48 ruby-1.8.7_p302.ebuild:
49 x86 stable wrt security bug #332957
50
51 21 Aug 2010; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p302.ebuild:
52 Stable on amd64 wrt bug #332957
53
54 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
55 Stable for PPC (bug #332957).
56
57 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
58 Stable for HPPA (bug #332957).
59
60*ruby-1.8.7_p302 (21 Aug 2010)
61
62 21 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p299.ebuild,
63 +ruby-1.8.7_p302.ebuild:
64 Revision bump to 1.8.7_p302 for security bug 332957. Fix rubytests
65 installation path.
66
67*ruby-1.8.6_p399 (19 Aug 2010)
68
69 19 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p388.ebuild,
70 -ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.6_p399.ebuild:
71 Last patchlevel bump for Ruby 1.8.6 to 399, fixes CVE-2010-0541 (bug
72 332957). Also restrict Tk and OpenSSL dependencies and fix rubytests
73 installation path (reported by the x86 team in bug 332597)
74
75*ruby-1.9.2_rc2-r1 (18 Aug 2010)
76
77 18 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
78 +ruby-1.9.2_rc2-r1.ebuild, metadata.xml:
79 Update ebuild; apply webrick security patch; unbundle minitest, rdoc 2 and
80 the rubygems loading code. Add USE flag for psych.
81
82 17 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
83 ruby-1.9.2_rc2.ebuild:
84 Remove two keepdir that will try to keep an empty path, closes bug
85 #333163.
86
87 16 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_rc2.ebuild:
88 Marked ~ppc (bug #332593).
89
90 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
91 ruby-1.9.2_rc2.ebuild:
92 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
93
94 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
95 ruby-1.8.7_p299.ebuild:
96 Bump eselect-ruby dependency
97
98 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
99 -ruby-1.9.1_p429.ebuild:
100 Remove ebuild that is not target for unmask anyway.
101
102 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
103 ruby-1.9.2_rc2.ebuild:
104 Try 2 to fix the berkdb 5 issue on 1.9.
105
106 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
107 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
108 ruby-1.9.2_rc2.ebuild:
109 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
110 support for adding new patchsets without bumping the revision for all the
111 old ebuilds as well.
112
113*ruby-1.9.2_rc2 (14 Jul 2010)
114
115 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
116 +ruby-1.9.2_rc2.ebuild:
117 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
118 might cause _further_ build failures as it changed slightly behaviour.
119 You're going to need to rebuild rubygems and then all the packages
120 previously installed after upgrading to this.
121
122 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
123 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
124 -ruby-1.9.1_p376.ebuild:
125 Cleanup old versions.
126
127*ruby-1.9.1_p429 (04 Jul 2010)
128
129 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
130 +ruby-1.9.1_p429.ebuild:
131 Version bump to new 1.9.1 release.
132
133*ruby-1.8.7_p299 (23 Jun 2010)
134
135 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
136 +ruby-1.8.7_p299.ebuild:
137 Version bump.
138
139 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
140 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
141 remove useless comments
142
143 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
144 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
145 ruby-1.9.1_p376.ebuild:
146 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
147 dev.gentoo.org now.
148
149 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
150 ruby-1.9.1_p376.ebuild:
151 Use the correct RUBYLIB.
152
153*ruby-1.8.7_p249-r2 (18 May 2010)
154*ruby-1.8.6_p388-r1 (18 May 2010)
155
156 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
157 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
158 ruby-1.9.1_p376.ebuild, metadata.xml:
159 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
160 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
161 add USE flags for ncurses, readline and libedit, and properly depend on
162 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
163 Emacs versions support ruby-mode themselves and it should be even more
164 updated.
165
166*ruby-1.8.7_p249-r1 (06 May 2010)
167
168 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
169 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
170 309789 by Sune Kloppenborg Jeppesen.
171
172 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
173 ruby-1.8.7_p249.ebuild:
174 Use $PVR instead of $PV in patchset names
175
176 06 May 2010; Alex Legler <a3li@gentoo.org>
177 -files/ruby-1.8.6-memory-leak.diff,
178 -files/ruby18-mkmf-parallel-install.patch,
179 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
180 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
181 Remove old version. Cleanup in files/
182
183*ruby-1.9.1_p376 (01 May 2010)
184
185 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
186 Version bump. Fixes security bugs 296052 and 300468. No longer installs
187 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
188 instead.
189
190 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
191 -ruby-1.8.7_p174-r1.ebuild:
192 Remove vulnerable ebuilds, 300468
193
194 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
195 ruby-1.8.7_p249.ebuild:
196 amd64 stable, security bug 300468
197
198 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
199 ruby-1.8.7_p249.ebuild:
200 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
201
202 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
203 Stable for HPPA (bug #300468).
204
205 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
206 Stable for HPPA (bug #300468).
207
208 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
209 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
210
211 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
212 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
213
214 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
215 ruby-1.8.6_p388.ebuild:
216 stable x86, security bug 300468
217
218 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
219 ruby-1.8.7_p249.ebuild:
220 stable x86, security bug 300468
221
222*ruby-1.8.6_p388 (10 Jan 2010)
223
224 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
225 +ruby-1.8.6_p388.ebuild:
226 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
227 version. The new ebuild also has the fix for bug 168939.
228
229*ruby-1.8.7_p249 (10 Jan 2010)
230
231 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
232 +ruby-1.8.7_p249.ebuild:
233 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
234 version
235
236 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
237 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
238
239*ruby-1.8.7_p248 (25 Dec 2009)
240
241 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
242 Version bump
243
244 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
245 Remove old version.
246
247 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
248 Remove old version.
249
250 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
251 ia64/s390/sh stable wrt #288699
252
253 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
254 stable sparc, bug 288699
255
256 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
257 arm stable, bug #288699
258
259 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
260 amd64/x86 stable, bug #288699
261
262 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
263 ruby-1.8.7_p174-r1.ebuild:
264 Stable on alpha, bug #288699
265
266 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
267 ppc stable #288699
268
269 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
270 Stable for HPPA (bug #288699).
271
272 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
273 Marked ~hppa too.
274
275*ruby-1.8.7_p174-r1 (06 Oct 2009)
276
277 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
278 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
279 eselect-ruby cleanup feature.
280
281*ruby-1.9.1_p243 (09 Sep 2009)
282
283 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
284 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
285 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
286 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
287 -files/ruby19-rubygems-proxy.patch,
288 -files/ruby-1.9.1_p129-parallelmake.patch,
289 -files/ruby19-mkmf-parallel-install.patch:
290 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
291 168939. Cleaning up old patches.
292
293*ruby-1.8.6_p383 (20 Aug 2009)
294
295 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
296 Patchlevel bump.
297
298 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
299 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
300 ruby-1.9.1_p129-r1.ebuild:
301 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
302
303 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
304 Removing vulnerable ebuild, bug 273213.
305
306 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
307 Marking ruby-1.8.6_p369 ppc for bug 273213
308
309 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
310 ruby-1.9.1_p129-r1.ebuild:
311 Prepend our library path instead of overwriting it during src_install.
312 Thanks to the reporter of bug #274824.
313
314*ruby-1.8.7_p174 (18 Jun 2009)
315
316 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
317 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
318 Replacing 187_p173 with _p174 because of a regression. Unifying the
319 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
320 patchsets.
321
322 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
323 Marking ruby-1.8.6_p369 ppc64 for bug 273213
324
325 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
326 arm/ia64/s390/sh/sparc stable wrt #273213
327
328 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
329 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
330 Removing old version, minor cleanup
331
332 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
333 -files/ruby-1.8.6-openssl.patch,
334 -files/ruby-1.8.6-shortname_constants.patch,
335 -files/ruby-1.8.6_p111-r13657.patch,
336 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
337 Removing vulnerable old Ruby version and stale patches, bug 274108.
338
339 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
340 ruby-1.8.6_p369.ebuild:
341 Stable on alpha, bug #273213
342
343 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
344 Stable for HPPA (bug #273213).
345
346 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
347 ruby-1.8.6_p369.ebuild:
348 stable x86, security bug 273213
349
350 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
351 amd64 stable, security bug 273213.
352
353*ruby-1.8.7_p173 (10 Jun 2009)
354*ruby-1.8.6_p369 (10 Jun 2009)
355
356 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
357 +ruby-1.8.7_p173.ebuild:
358 Version bumps for bug #273213.
359
360*ruby-1.9.1_p129-r1 (27 May 2009)
361
362 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
363 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
364 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
365 +files/ruby-1.9.1_p129-parallelmake.patch:
366 Revision bump, add patches 1) to make Ruby behave more similarly between
367 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
368 extensions (undefined symbols in them will cause abort at runtime 3) to
369 remove a concurrency issue when building the dl extension that could
370 result in a broken dl.so.
371
372 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
373 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
374 Don't block rdoc-2 or later (which may enter Portage one day as it's
375 needed by some Rakefiles).
376
377 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
378 ruby-1.9.1_p129.ebuild:
379 Add ~x86-fbsd keyword.
380
381 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
382 keyword ~sparc-fbsd, bug #252315
383
384*ruby-1.9.1_p129 (15 May 2009)
385
386 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
387 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
388 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
389 included in every release.
390
391 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
392 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
393 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
394 ruby-1.8.7_p160.ebuild:
395 Removing vulnerable versions (#268515), fixing license (#233747).
396
397 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
398 Stable for HPPA (bug #268515).
399
400 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
401 Adapting rubygems notice.
402
403 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
404 amd64 stable, bug #268515.
405
406 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
407 arm/ia64/s390/sh/sparc stable wrt #268515
408
409 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
410 ruby-1.8.6_p368.ebuild:
411 stable x86, security bug 268515
412
413 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
414 ruby-1.8.6_p368.ebuild:
415 Stable on alpha, bug #268515
416
417 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
418 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
419
420*ruby-1.8.7_p160 (07 May 2009)
421*ruby-1.8.6_p368 (07 May 2009)
422
423 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
424 +ruby-1.8.7_p160.ebuild:
425 Version bump as per secbug 268515. NB: These are the first ebuilds that
426 no longer use ruby-config.
427
428*ruby-1.9.1-r1 (03 Apr 2009)
429*ruby-1.8.7_p72-r11 (03 Apr 2009)
430*ruby-1.8.6_p287-r13 (03 Apr 2009)
431
432 03 Apr 2009; Alex Legler <a3li@gentoo.org>
433 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
434 +files/ruby18-mkmf-parallel-install.patch,
435 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
436 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
437 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
438 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
439 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
440 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
441 happy.
442
443*ruby-1.9.1 (21 Mar 2009)
444
445 21 Mar 2009; Alex Legler <a3li@gentoo.org>
446 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
447 +ruby-1.9.1.ebuild:
448 Adding Ruby 1.9.1 for preliminary testing
449
450 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
451 ruby-1.8.6_p287-r12.ebuild:
452 Marked ~ppc for bug #252315.
4 453
5 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild: 454 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
6 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes 455 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
7 bug 261982. 456 bug 261982.
8 457

Legend:
Removed from v.1.386  
changed lines
  Added in v.1.483

  ViewVC Help
Powered by ViewVC 1.1.20